Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

When I try to add ad-ons I get Sorry, you need a Mozilla-based browser (such as Firefox) to install a search plugin

  • 1 reply
  • 37 have this problem
  • 2142 views
  • Last reply by cor-el

more options

When I try to download ad ons I get an error message that says Sorry, you need a Mozilla-based browser (such as Firefox) to install a search plugin. I have already downloaded and have firefox as my default browser, what am I doing wrong?

Chosen solution

See [/questions/919992]

Start Firefox in Diagnose Firefox issues using Troubleshoot Mode to check if one of the extensions or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance/Themes).

Read this answer in context 👍 1

All Replies (1)

more options

Chosen Solution

See [/questions/919992]

Start Firefox in Diagnose Firefox issues using Troubleshoot Mode to check if one of the extensions or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance/Themes).